cmdargs

Safe Haskell | Safe-Infered

System.Console.CmdArgs.Explicit.ExpandArgsAt

Synopsis

- expandArgsAt :: [String] -> IO [String]

# Documentation

expandArgsAt :: [String] -> IO [String]

Expand `@` directives in a list of arguments, usually obtained from `getArgs`. As an example, given the file `test.txt` with the lines `hello` and `world`:

     expandArgsAt ["@test.txt","!"] == ["hello","world","!"]

Any `@` directives in the files will be recursively expanded (raising an error if there is infinite recursion).